﻿input:-webkit-autofill { -webkit-box-shadow: 0 0 0px 1000px white inset !important; }
input:focus:-webkit-autofill { -webkit-box-shadow: 0 0 0px 1000px  white inset !important; }

div.pagingContainer
{
    float:right;
}

input.money 
{
    width:100px;       
}

select.vat 
{
    width:60px;
}


span.centerImage {
     text-align: center;
}

div.searchBox {
    margin: 10px 0px 10px 0px;
    border: 2px solid #000080;
    padding: 15px 10px 10px 15px;
    -webkit-border-radius: 0 3px 3px 0;
    -moz-border-radius: 0 3px 3px 0;
    border-radius: 0 3px 3px 0;
}
                
div.searchBox div.setQuarter
{
    padding:5px;
    margin:5px 0px 0px 30px;   
}                

div.searchBox div.setQuarter div
{
    padding:4px;
}

div.searchBox div.setQuarter a
{
    color:Gray; 
    font-size:120%;
    text-decoration:underline;
}

/*dashboard*/

table.dashboard table th, table td {
    padding: 6px 6px 6px 6px !important;
}

.tv-tbl-hdr-label{
    height:34px;line-height:34px;font-size: 20px;font-weight:600;margin-left:5px;width:220px;
}


.periodSummary
{
    clear:both;    
    border:3px solid #f2f2f2;
    padding:15px 10px 10px 15px;
    -webkit-border-radius:0 3px 3px 0;
    -moz-border-radius:0 3px 3px 0;
    border-radius:0 3px 3px 0;     
    margin-bottom:20px;           

}

.periodSummary .chart_summary
{
    float:right;
}
.periodSummary .summary
{
    margin:10px 0px 10px 0px;
    padding:10px;        
}

.periodSummary .summary .big
{
    font-size:130%;
    font-weight:bold;    
}

.periodSummary .summary hr
{
    margin: 5px;    
}
.periodSummary .summary h4
{
    margin-bottom:15px;
}

.negative 
{
    font-weight:bold;
    color:Red;
}

.positive
{
    font-weight: bold;
    color:Green;    
}

textarea.proposalDetails
{
    height:400px;
    min-width:400px;
}

textarea.proposalNotes
{
    height:100px;
    min-width:450px;
}

table.proposal tfoot tr td
{
    border-top:3px solid #f2f2f2;
    font-weight:bold;
    font-size:1.1em;
}

table.InvoiceFooterTotals td.title
{
    font-weight:bold;
    text-align:right;
}


.expense{color:red}
.income{color:green}

.noborder{border:0}

body {
    /*font-family: 'Tangerine', serif;*/
    padding-top: 50px;
    padding-bottom: 20px;
}

/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

/* Set width on the form input elements since they're 100% wide by default */
/*input,
select,
textarea {
    max-width: 350px;
}*/

/*#grid .k-grid-toolbar { 
    background: red;
}*/

/* styles for validation helpers */
.field-validation-error {
    color: #b94a48;
    font-weight: bold;
    display: inline-flex;
    max-width: 500px;
}

.field-validation-valid {
    display: none;
}



input.input-validation-error {
    border: 1px solid #b94a48;
}

select.input-validation-error {
    border: 1px solid #b94a48;
}

input[type="checkbox"].input-validation-error {
    border: 0 none;
}

.validation-summary-errors {
    color: #b94a48;
   
}

.validation-summary-valid {
    display: none;
}

/*********************
 * Manual modified 
 *********************/

footer p span {
    font-size: 0.7em;
    color: #a9a9a9;
}

#report {
    width: 100%;
}

#report thead {
    background-color: #0000cd;
    color: white;
}

#report thead tr th {
    vertical-align: top;
}

.group-header {
    background-color: #aaaaff;
}

#searchBox {
    width: 100%;
}

.leftSelect, .rightSelect {
    min-width: 80px;
    min-height: 140px;

}

/*********************
 * DTG
 *********************/
.clear {
    clear: both;
}

div .ui-dtg-header {
    height: 50px; /*height: 90px;*/
    padding: 0;
    margin: 5px 0 5px 0;
    position: relative;
    width: 100%;
}

.ui-dtg-header-left {
    height: 154px;
    width: 303px;
    float: left;
    padding: 0;
    margin: 0;
    background: url("./themes/base/images/head_left.png");
    background-repeat: no-repeat;
}

.ui-dtg-header-line {
    height: 154px;
    /*margin: 0 20px 0 303px;*/
    margin: 0;
    width: 100%;
    padding: 0;
    /*background: url("./themes/base/images/dtg-head_line.png"); */
    background-repeat: repeat-x;
    position: absolute;
    z-index: -1;
}

div .ui-progen-header {
    height: 0px;
    padding: 0;
    margin: 0px 0 0px 0;
    position: relative;
    width: 100%;
}

.ui-progen-header-line {
    height: 154px;
    /*margin: 0 20px 0 303px;*/
    margin: 0;
    width: 100%;
    padding: 0;
    background: url("./themes/base/images/progen-head_line_noborder.png");
    background-repeat: repeat-x;
    position: absolute;
    z-index: -1;
}


.ui-dtg-header-right {
    height: 50px;
    width: 20px;
    float: right;
    padding: 0;
    margin: 0 0 0 auto;
    background: url("./themes/base/images/dtg-head_right.png");
    background-repeat: no-repeat;
}

div .ui-header-MT {
    height: 50px;
    padding: 0;
    margin: 20px 0 20px 0;
    position: relative;
    width: 100%;
}

.ui-header-line-MT {
    height: 50px;
    /*margin: 0 20px 0 303px;*/
    margin: 0;
    width: 100%;
    padding: 0;
    background: url("./themes/base/images/new-head_line.png");
    background-repeat: repeat-x;
    position: absolute;
    z-index: -1;
}

.ui-header-right-MT {
    height: 50px;
    width: 20px;
    float: right;
    padding: 0;
    margin: 0 0 0 auto;
    background: url("./themes/base/images/new-head_right.png");
    background-repeat: no-repeat;
}


.appName {
    font-family:  Courier New, Courier, monospace;
    padding: 10px 20px 10px 10px;
    font-size: 2em;
    color: #c2171f;
    float: right;
    position: relative;
    font-weight: bold;
    
}

.reportHeader {
    padding: 0 20px 0;
    float: right;
    position: relative;
    margin: 0;
    top: -90px;
}

.reportBody {
    position: relative;
    top: -90px;
}



/********************/

div .ui-dtg-footer {
    height: 107px;
    padding: 0;
    margin: 0;
    position: relative;
    width: 100%;
}

.ui-dtg-footer-left {
    height: 107px;
    width: 20px;
    float: left;
    padding: 0;
    margin: 0;
    background: url("./themes/base/images/dtg-foot_left.png");
    background-repeat: no-repeat;
}

.ui-dtg-footer-line {
    height: 107px;
    /*margin: 0 301px 0 20px;*/
    margin: 0;
    width: 100%;
    padding: 0;
    background: url("./themes/base/images/dtg-foot_line.png");
    background-repeat: repeat-x;
    position: absolute;
    z-index: -1;
}

.ui-dtg-footer-right {
    height: 107px;
    width: 301px;
    float: right;
    padding: 0;
    margin: 0 0 0 auto;
    background: url("./themes/base/images/dtg-foot_right.png");
    background-repeat: no-repeat;
}

.serviceTextBox  {
    width: 100%;
    border: 1px solid #ccc;
}


.left { float: left; }
.right { float: right; }
.width100x { width: 100%; }
.zero { margin: 0; padding: 0; }
.zero-inner { padding: 0; }
.zero-outer { margin: 0; }
.display-none { display:none;}

form select{ height: 2em; }
form .view { border: solid 1px #fff;}
.text-left {text-align: left;}
.text-right {text-align:right;}
.text-center {text-align:center;}

input[type=button].close{
    font-size: 1em;
    line-height:1.5em;
    font-weight:normal;
    opacity: 1;
}
.loading {
    color: #000;
    margin: 50px auto 0;
    width: 100%;
    display: block;
    text-align: center;
    opacity: 0.3;
}
.absolute{
    position: absolute;
}

.loading-full {
    background: rgba(0, 0, 0, 0.3);
    font-size: 1.5em;
    padding: 3em; 
    width: 100%;
    height: 100%;
    text-align: center;
    position: fixed;
    left: 0;
    top: 0;
    
    z-index: 1100;
}

.loading span{
    font-size: 3em;
    -webkit-transform-origin: 50% 50%;
    -moz-transform-origin: 50% 50%;
    -o-transform-origin: 50% 50%;
    transform-origin: 50% 50%;
    -webkit-animation: rotating 1s linear infinite;
    -moz-animation: rotating 1s linear infinite;
    -ms-animation: rotating 1s linear infinite;
    -o-animation: rotating 1s linear infinite;
    animation: rotating 1s linear infinite;
}

#invoice-details-result tr:not(:first-child) {
    cursor: pointer;
}
@keyframes rotating {
  from {
    -ms-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -webkit-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  to {
    -ms-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -webkit-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

@-webkit-keyframes uil-default-anim {
     0% { opacity: 1} 
     100% {opacity: 0} 

}
@keyframes uil-default-anim {
     0% { opacity: 1} 
     100% {opacity: 0} }
.uil-default-css > div:nth-of-type(1) {
    -webkit-animation: uil-default-anim 2s linear infinite;
    animation: uil-default-anim 2s linear infinite;
    -webkit-animation-delay: -1s;
    animation-delay: -1s;
}
.uil-default-css {
    position: relative;
    background:none;
    width:200px;
    height:200px;
    margin: 0 auto;
}
.uil-default-css > div:nth-of-type(2) {
    -webkit-animation: uil-default-anim 2s linear infinite;
    animation: uil-default-anim 2s linear infinite;
    -webkit-animation-delay: -0.8333333333333334s;
    animation-delay: -0.8333333333333334s;
}
.uil-default-css {
     position: relative;
     background:none;
     width:200px;
     height:200px;
}
.uil-default-css > div:nth-of-type(3) {
    -webkit-animation: uil-default-anim 2s linear infinite;
    animation: uil-default-anim 2s linear infinite;
    -webkit-animation-delay: -0.6666666666666667s;
    animation-delay: -0.6666666666666667s;
}
.uil-default-css {
     position: relative;
     background:none;
     width:200px;
     height:200px;
}
.uil-default-css > div:nth-of-type(4) {
    -webkit-animation: uil-default-anim 2s linear infinite;
    animation: uil-default-anim 2s linear infinite;
    -webkit-animation-delay: -0.5s;
    animation-delay: -0.5s;
}
.uil-default-css {
     position: relative;
     background:none;
     width:200px;
     height:200px;
}
.uil-default-css > div:nth-of-type(5) {
    -webkit-animation: uil-default-anim 2s linear infinite;
    animation: uil-default-anim 2s linear infinite;
    -webkit-animation-delay: -0.33333333333333337s;
    animation-delay: -0.33333333333333337s;
}
.uil-default-css {
     position: relative;
     background:none;
     width:200px;
     height:200px;
}
.uil-default-css > div:nth-of-type(6) {
    -webkit-animation: uil-default-anim 2s linear infinite;
    animation: uil-default-anim 2s linear infinite;
    -webkit-animation-delay: -0.16666666666666663s;
    animation-delay: -0.16666666666666663s;
}
.uil-default-css {
     position: relative;
     background:none;
     width:200px;
     height:200px;
}
.uil-default-css > div:nth-of-type(7){
    -webkit-animation: uil-default-anim 2s linear infinite;
    animation: uil-default-anim 2s linear infinite;
    -webkit-animation-delay: 0s;
    animation-delay: 0s;}
.uil-default-css {
     position: relative;
     background:none;
     width:200px;
     height:200px;
}
.uil-default-css > div:nth-of-type(8) {
    -webkit-animation: uil-default-anim 2s linear infinite;
    animation: uil-default-anim 2s linear infinite;
    -webkit-animation-delay: 0.16666666666666674s;
    animation-delay: 0.16666666666666674s;
}
.uil-default-css {
     position: relative;
     background:none;
     width:200px;
     height:200px;
}
.uil-default-css > div:nth-of-type(9) {
    -webkit-animation: uil-default-anim 2s linear infinite;
    animation: uil-default-anim 2s linear infinite;
    -webkit-animation-delay: 0.33333333333333326s;
    animation-delay: 0.33333333333333326s;
}
.uil-default-css {
     position: relative;
     background:none;
     width:200px;
     height:200px;
}
.uil-default-css > div:nth-of-type(10) {
    -webkit-animation: uil-default-anim 2s linear infinite;
    animation: uil-default-anim 2s linear infinite;
    -webkit-animation-delay: 0.5s;animation-delay: 0.5s;
}
.uil-default-css {
     position: relative;
     background:none;
     width:200px;
     height:200px;
}
.uil-default-css > div:nth-of-type(11) {
    -webkit-animation: uil-default-anim 2s linear infinite;
    animation: uil-default-anim 2s linear infinite;
    -webkit-animation-delay: 0.6666666666666667s;
    animation-delay: 0.6666666666666667s;
}
.uil-default-css {
     position: relative;
     background:none;
     width:200px;
     height:200px;
}
.uil-default-css > div:nth-of-type(12) {
    -webkit-animation: uil-default-anim 2s linear infinite;
    animation: uil-default-anim 2s linear infinite;
    -webkit-animation-delay: 0.8333333333333333s;
    animation-delay: 0.8333333333333333s;
}
.uil-default-css {
     position: relative;
     background:none;
     width:200px;
     height:200px;
}



.form-control {
    display: block;
    width: 100%;
    /*height: 34px;*/
    padding: 3px;
    font-size: 14px;
    line-height: 1.42857;
    color: #767676;
    background-color: white;
    background-image: none;
    border: 1px solid #cbd5dd;
    border-radius: 6px;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
    -webkit-transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
    transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
}

.center {
    text-align:center;
}

.make-its{
    background-color: #A70303;
    color: white;
    border: #FFD403 3px solid;
    font-size: 2.5em;
    border-radius: 3px;
    text-align: center;
}

.dummy-its{
    /*background-color: #F3EAEA;*/
    /*color: #080808;*/

    color: #2266e6;

    /*border: #749df7 2px solid;*/
    border: #dcddde 2px solid;
    
    font-size: 2.5em;
    border-radius: 8px;
    text-align: center;
}

.lableinv{
    
    color: #7d7b7b; 
    font-size: 2.5em;
    vertical-align: bottom;
    
}


div.border {
    border: solid 1px #aaa; padding: 15px 5px 0;
}

h4.border {
    border: #C3C0B0 2px solid;
    /*background-color:  #157EFB;*/
    background-color:  #9dc5f6;
    color: #000080;
    padding: 10px 5px;
    margin: 5px -6px 15px;
    text-align: center;
    font-size: 1em;
    font-weight: bold;
}

legend.top {
    bottom: 15px;
    border: solid 1px #0000a0;
    border-bottom: none;
    border-top-left-radius: 3px;
    border-top-right-radius: 3px; 
    padding: 5px 15px 0;
    position: relative;
    min-width: 30%;
}

h2.top-left {
    text-align: right;
    top: 25px;
    position: fixed;
    right: 50px;
    color: #C3C0B0;
}


.fontwborder {
    /*font-family: Courier New, Courier, monospace;*/
    font-size: 1em;
    color: #000080;
    vertical-align: bottom;
    text-align: left;
}

h3 {
   
 /*font-family: Courier New, Courier, monospace;*/
 font-size:1.5em;
	color: red;
	text-align: left;
        -webkit-text-fill-color: white;
        -webkit-text-stroke: 2px gray;
 }
 
.login label {
   
 /*font-family: Courier New, Courier, monospace;*/
 font-size:1.5em;
	color: #000080;
	text-align: left;
        -webkit-text-fill-color: white;
        -webkit-text-stroke: 2px #c2171f;


 }


.height-270px {
    min-height: 270px;
}

.height-300px {
    min-height: 300px;
}

.disabled-color {
    color: #999;
}

.background-gray {
    background-color: #f5f5f5;
}

.table-striped{ cursor: pointer; }

/* ref http://www.bootply.com/JnOYtO9xzn */
.table-fixed thead { width: 98%; }
.table-fixed tbody { height: 300px; overflow-y: auto; width: 100%; }
.table-fixed thead, .table-fixed tbody, .table-fixed tr, .table-fixed td, .table-fixed th { display: block; }
.table-fixed tbody td, .table-fixed thead > tr> th { float: left; border-bottom-width: 0; }
.table-fixed tbody tr { clear: both; }

hr.topPage {
    border: 0;
    border-top: 2px solid #000080;
}

hr.endPage {
    border: 0;
    border-top: 2px solid #000080;
}

fieldset {
    border: 1px solid #000080;
    color: #000080;
}

legend {
    color: #0000a0;
}

.invTHead {
    background-color: #4444ff;
    color: white;
}